Instrumentation Drivers - Milestone #20375

Device driver for IOTA DAQ module
07/19/2018 05:18 PM - John Diamond

Status: Assigned Start date: 07/19/2018

Priority: Normal Due date:

Assignee: John Diamond % Done: 87%

Category: Estimated time: 0.00 hour

Target version: Spent time: 5.00 hours

Description

Should be very similar to BBPM250x12.

Subtasks:

Task # 20376: drvgen specification for IOTABPM250x8 Resolved
Task # 20439: Implement DMA readouts for Raw and DSP data regions Work in progress
History

#1 - 07/19/2018 05:23 PM - John Diamond
- Due date set to 07/19/2018

due to changes in a related task: #20376

#2 - 07/24/2018 01:10 PM - John Diamond
- Status changed from New to Assigned

- Assignee set to John Diamond

Updated the specification with IRQ definitions received from Alexe -

—-— vme irqg signals map:

vme_inr_irqg(0) <= raw_dma_end;
vme_inr_irqg(l) <= dsp_dma_end;
vme_inr_irqg(2) <= raw_data_ready;
vme_inr_irqg(3) <= dsp_data_ready;
vme_inr_irqg(4) <= ext_sync(3);

—-— ext gate: stop mode signal
vme_inr_irqg(5) <= ext_sync(2);

—-— ext trigger: injection signal

vme_inr_irg(7 downto 6) <= "00"; -— n/a

#3 - 07/25/2018 10:06 AM - John Diamond
- Due date set to 07/25/2018

due to changes in a related task: #20439
